Subject: Re: linux-next: build failure after merge of the kunit-next tree

From: Shuah Khan <[email-masked]>
Date: Tue, 27 Feb 2024 20:26:55 -0700

On 2/27/24 19:48, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the kunit-next tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 

> Caused by commit
> 
>    e00c5a9fa617 ("kunit: Annotate _MSG assertion variants with gnu printf specifiers")
> 
> Please fix all the current problems before applying a patch to warn
> about them.
> 
> I have used the kunit-next tree from next-20240227 for today.

This is my bad. I should have dropped this patch when I couldn't
apply the patch that fixed the drivers/gpu/drm/tests/drm_buddy_test.c

It is fixed now. I dropped the problem commit

e00c5a9fa617 ("kunit: Annotate _MSG assertion variants with gnu printf specifiers")

thanks,
-- Shuah